import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:flutter/foundation.dart';
part 'ranks.freezed.dart';
part 'ranks.g.dart';

@freezed
class Ranks with _$Ranks {
  const factory Ranks({
    int? id,
    String? name,
    String? icon,
  }) = _Ranks;

  factory Ranks.fromJson(Map<String, Object?> json) => _$RanksFromJson(json);
}
